Skip to main content

Interface: UserGalaBalance

Gala Launchpad SDK 9.0.0-rc.5


Gala Launchpad SDK 9.0.0-rc.5 / index / UserGalaBalance

Interface: UserGalaBalance

Defined in: packages/launchpad-sdk/dist/types/user.dto.d.ts:886

A user's GALA balance as the launchpad backend reads it from the chain (GET /v1/users/:address/gala-balance).

Since​

9.0.0

Properties​

holdingPrice​

holdingPrice: number

Defined in: packages/launchpad-sdk/dist/types/user.dto.d.ts:894

USD value of the holding (quantity * price)


name​

name: string

Defined in: packages/launchpad-sdk/dist/types/user.dto.d.ts:888

Always 'GALA'


price​

price: number

Defined in: packages/launchpad-sdk/dist/types/user.dto.d.ts:892

USD price of one GALA


quantity​

quantity: number

Defined in: packages/launchpad-sdk/dist/types/user.dto.d.ts:890

GALA held